-- Create frame
local frame = CreateFrame("Frame", "ADIFrame", UIParent)
frame:SetHeight(60)
frame:SetWidth(60)
frame:SetPoint("CENTER", -150, 132)
frame:Show()


local text = frame:CreateFontString();
text:SetPoint("CENTER")
text:SetFont("Fonts\\FRIZQT__.TTF", 40, "THICKOUTLINE");

local texture = frame:CreateTexture()
texture:SetTexture(GetSpellTexture("Arcane Missiles"))
texture:SetTexCoord(.07,.93,.07,.93)
texture:SetHeight(60)
texture:SetWidth(60)
texture:SetPoint("TOPLEFT", frame, "BOTTOMLEFT")
texture:Hide()

frame:RegisterEvent("UNIT_AURA");


local function eventHandler(self, event, ...)
	local unit = ...
	if event == "UNIT_AURA" and unit == "player" then
		local name, rank, icon, count = UnitDebuff(unit, "Arcane Blast");
		if count ~= nil then
			text:SetText(count);
			if count == 2 then
				text:SetTextColor(0,1,0,1)
			elseif count == 3 then
				text:SetTextColor(.2,.4,1,1)
			elseif count == 4 then
				text:SetText("Arcane Missiles Ready")
				text:SetTextColor(1,0,0,1)
				texture:Show()
			else
				text:SetTextColor(1,1,1,1)
			end
		else
			text:SetText()
			texture:Hide()
		end
	end
end


frame:SetScript("OnEvent", eventHandler);

